Name:          swig
Version:       4.3.0
Release:       1mamba
Summary:       SWIG is a software development tool that connects programs written in C and C++
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.swig.org/
Source:        http://downloads.sourceforge.net/sourceforge/swig/swig-%{version}.tar.gz
Patch0:        swig-2.0.9-php-5.4.11.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpcre2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: php-devel
%endif

%description
SWIG is a software development tool that connects programs written in C and C++ with a variety of high-level programming languages

%prep
%setup -q 
#%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#install -d %{buildroot}%{_bindir}
%makeinstall

install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/%{version}/*
#%{_mandir}/man1/ccache-swig.1*
%doc LICENSE 
#CHANGES README TODO

%changelog
* Mon Oct 21 2024 Automatic Build System <autodist@openmamba.org> 4.3.0-1mamba
- automatic version update by autodist

* Sun Feb 25 2024 Automatic Build System <autodist@openmamba.org> 4.2.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Dec 01 2022 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic version update by autodist

* Sat Jan 07 2017 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- automatic version update by autodist

* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Thu Jan 15 2015 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Wed Dec 31 2014 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Fri Jun 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2014 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Tue Sep 17 2013 Automatic Build System <autodist@mambasoft.it> 2.0.11-1mamba
- automatic version update by autodist

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.9-2mamba
- added patch for php 5.4.11

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 2.0.9-1mamba
- automatic version update by autodist

* Fri Aug 05 2011 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Thu Feb 24 2011 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Mon Oct 11 2010 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Sun Jun 06 2010 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 1.3.40-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 1.3.39-1mamba
- automatic update by autodist

* Sat Jul 19 2008 gil <puntogil@libero.it> 1.3.36-1mamba
- update to 1.3.36

* Sun Feb 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.33-1mamba
- update to 1.3.33
- changed maintainer

* Tue Jun 13 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.3.29-1qilnx
- update to version 1.3.29 by autospec

* Mon Jul 18 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.25-1qilnx
- package created by autospec
